Example #1
0
        private void btnSelBlockAndAtt_Click(object sender, EventArgs e)
        {
            if (_SelBlockAndAttShield)
            {
                return;
            }
            try
            {
                _SelBlockAndAttShield = true;

                Globs.CancelCommand();

                Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument.SendStringToExecute("Plan2RaumHoePrSelHkBlockAndAtt ", true, false, false);
            }
            catch (Exception ex)
            {
                Autodesk.AutoCAD.ApplicationServices.Application.ShowAlertDialog(ex.Message);
            }
            finally
            {
                _SelBlockAndAttShield = false;
            }
        }
        private void btnResetCheck_Click(object sender, EventArgs e)
        {
            if (_ResetCheckShield)
            {
                return;
            }
            try
            {
                _ResetCheckShield = true;

                Globs.CancelCommand();

                _AcAp.Application.DocumentManager.MdiActiveDocument.SendStringToExecute("Plan2RaumHoePrReset ", true, false, false);
            }
            catch (Exception ex)
            {
                _AcAp.Application.ShowAlertDialog(ex.Message);
            }
            finally
            {
                _ResetCheckShield = false;
            }
        }